Skip to main content

Consumer Fulfillment

View as Markdown

ListingFulfillment object

listing_idstringPublic Preview
fulfillment_typestringPublic Preview

Values:

  • REQUEST_ACCESS
  • INSTALL
share_infoobjectPublic Preview
Show child attributesHide child attributes
namestringPublic Preview
typestringPublic Preview

Values:

  • SAMPLE
  • FULL
repo_infoobjectPublic Preview
Show child attributesHide child attributes
git_repo_urlstringPublic Preview

the git repo url e.g. https://github.com/databrickslabs/dolly.git

recipient_typestringPublic Preview

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN

List all listing fulfillments Public Preview

GET /api/2.1/marketplace-consumer/listings/{listing_id}/fulfillments

Get all listings fulfillments associated with a listing. A fulfillment is a potential installation. Standard installations contain metadata about the attached share or git repo. Only one of these fields will be present. Personalized installations contain metadata about the attached share or git repo, as well as the Delta Sharing recipient type.

API scopes: marketplace

Parameters

listing_idstringRequiredpath
page_tokenstringquery
page_sizeint32query

Response

Returns a list of ListingFulfillment objects.

Get listing content metadata Public Preview

GET /api/2.1/marketplace-consumer/listings/{listing_id}/content

Get a high level preview of the metadata of listing installable content.

API scopes: marketplace

Parameters

listing_idstringRequiredpath
page_tokenstringquery
page_sizeint32query

Response

shared_data_objectsarray of object
Show child attributesHide child attributes
namestring

Name of the shared object

data_object_typestring

The type of the data object. Could be one of: TABLE, SCHEMA, NOTEBOOK_FILE, MODEL, VOLUME

next_page_tokenstring